<div class="box-wells-details">
  <div class="box-radio">
    <mat-radio-group [(ngModel)]="txtUnit" (change)="changeValueFeetToMeter($event)">
      <mat-radio-button value="feet">feet</mat-radio-button>
      <mat-radio-button value="meter">meter</mat-radio-button>
    </mat-radio-group>
  </div>
  <!-- end/box radio -->
  <div class="cover-search">
    <input type="text" placeholder="Search field.." [(ngModel)]="querySearch" />
    <a href="javascript:;" class="click-search">
      <i class="material-icons">search</i>
    </a>
  </div>
  <div class="content-loading" *ngIf="isLoading">
    <gng-spinner></gng-spinner>
  </div>
  <div class="box-list" [perfectScrollbar]="{ suppressScrollY: false }">
    <form [formGroup]="form">
      <ul class="list-input" formArrayName="data">
        <li
          *ngFor="let item of form.get('data')['controls']; let i = index"
          [ngClass]="{ 'hide-ver': item.value.label.toLowerCase().indexOf(querySearch.toLowerCase()) === -1 }"
          [formGroupName]="i"
        >
          <span class="title-input">{{ item.value.label }}</span>
          <div
            class="cover-input box-input"
            *ngIf="item.value.label !== 'FLUID'"
            [ngClass]="{ 'is-invalid': submitted && item.value.label === 'Coring Depth (MD)' }"
          >
            <mat-form-field appearance="outline">
              <input matInput formControlName="value" appOnlyNumber [type]="'empty'" />
            </mat-form-field>
            <span class="type" *ngIf="item.value.unit">{{ item.value.unit }}</span>
          </div>
          <div class="cover-input ver-dropdown" *ngIf="item.value.label === 'FLUID'">
            <cts-dropdown
              [data]="fluid"
              [selectOption]="item.value.value === 0 || item.value.value === '' ? 'Select' : item.value.value"
              [type]="'full-box'"
              (callback)="callbackDropdown($event, item)"
            ></cts-dropdown>
          </div>
        </li>
      </ul>
      <!-- end/list input -->
    </form>
  </div>
</div>
